> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/signers-requests/signinbatch.md).

# signInBatch

### Overview

Parameters:

* [SignBatch](/english/facilitators/sdks/java-sdk/used-classes/body/signbatch.md)

Return:

* String[ ](broken://pages/LNA023m1MfF7Iv92JTZd)- success
* Exception - failure

To sign in batch we need:

* set your api token.
* set your user token.
* set your signers token.
* set your SignInBatch class.
* call the method.

### Usage:

Import the relevant components:

```java
import body.signer.SignBatch;
import signers.SignerRequest;

import java.util.ArrayList;
```

Set your [Api Token](/english/master.md):

```java
String apiToken = "YOUR TOKEN";
```

set your user token, ([where to find](/english/signatarios/assinar-em-lote-via-api.md))

```java
String userToken = "USER TOKEN";
```

Salve o token de seus signatários

```java
String signer_token1 = "SIGNER TOKEN 1";
String signer_token2 = "SIGNER TOKEN 2";

ArrayList<String> signers_token = new ArrayList<>();
        signers_token.add(signer_token1);
        signers_token.add(signer_token2);
```

Set your [SignInBatch](/english/facilitators/sdks/java-sdk/signers-requests/signinbatch.md) class:

```java
SignBatch signBatch = SignBatch.builder()
                .user_token(userToken)
                .signer_tokens(signers_token)
                .build();
```

Call the method signInBatch and receive as a response a string containing a success message or an error message:

```java
try {
    Signer signerResponse = new SignerRequest(apiToken).updateSigner(signerToken, signer);
    String jsonDocResponse = new JsonConverter().signerToJson(signerResponse);
    System.out.println(jsonDocResponse);
}
catch(Exception exceptionError) {
    System.out.println(exceptionError.getMessage());
}
```

### Example:

```java
import body.signer.SignBatch;
import signers.SignerRequest;

import java.util.ArrayList;

public class SignInBatch {
    public static void main(String[] args) throws Exception {
        String apiToken = "YOUR TOKEN";
        String userToken = "USER TOKEN";
        String signer_token1 = "SIGNER TOKEN 1";
        String signer_token2 = "SIGNER TOKEN 2";

        ArrayList<String> signers_token = new ArrayList<>();
        signers_token.add(signer_token1);
        signers_token.add(signer_token2);

        SignBatch signBatch = SignBatch.builder()
                .user_token(userToken)
                .signer_tokens(signers_token)
                .build();

        try {
            String response = new SignerRequest(apiToken).signInBatch(signBatch);
            System.out.println(response);
        }
        catch(Exception exceptionError) {
            System.out.println(exceptionError.getMessage());
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zapsign.com.br/english/facilitators/sdks/java-sdk/signers-requests/signinbatch.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
